Package org.eclipse.rdf4j.sail.shacl

## Class ShaclSailConnection.Settings

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ShaclSailConnection.Settings

- Enclosing class:
    ShaclSailConnection

      public static class ShaclSailConnection.Settings
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Settings()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Settings​(boolean cacheSelectNodes, boolean validationEnabled, boolean parallelValidation, IsolationLevel isolationLevel)` |
    `Settings​(ShaclSailConnection connection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IsolationLevel` | `getIsolationLevel()` |
    `ShaclSail.TransactionSettings.ValidationApproach` | `getValidationApproach()` |
    `boolean` | `isCacheSelectNodes()` |
    `boolean` | `isParallelValidation()` |
    `void` | `switchToBulkValidation()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Settings

          @Deprecated(since="4.0.0",
                      forRemoval=true)
          public Settings()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### Settings

          public Settings​(boolean cacheSelectNodes,
                          boolean validationEnabled,
                          boolean parallelValidation,
                          IsolationLevel isolationLevel)

    - #### Settings

          public Settings​(ShaclSailConnection connection)

  - ### Method Detail

    - #### getValidationApproach

          public ShaclSail.TransactionSettings.ValidationApproach getValidationApproach()

    - #### isCacheSelectNodes

          public boolean isCacheSelectNodes()

    - #### isParallelValidation

          public boolean isParallelValidation()

    - #### getIsolationLevel

          public IsolationLevel getIsolationLevel()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### switchToBulkValidation

          public void switchToBulkValidation()